al_ustr_remove_range(3)

NAME

al_ustr_remove_range - Allegro 5 API

SYNOPSIS

    #include <allegro5/allegro.h>
    bool al_ustr_remove_range(ALLEGRO_USTR *us, int start_pos, int end_pos)

DESCRIPTION

Remove the interval [start_pos, end_pos) from a string. start_pos and end_pos are byte offsets. Both may be past the end of the string but cannot be less than 0 (the start of the string).

Returns true on success, false on error.

SEE ALSO

al_ustr_remove_chr(3), al_ustr_truncate(3)